package com.template.services;

import com.template.model.pojo.SmartGrade;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-25
 */
public interface SmartGradeService extends IService<SmartGrade> {

    List<SmartGrade> getSmartGrades();

    int insertSmartGrade(SmartGrade sg);

    int updateSmartGrade(SmartGrade sg);

    int existSmartGrade(Integer gradeNo, String gradeName);

    SmartGrade existSmartGradeData(Integer gradeNo, String gradeName);

    SmartGrade querySmartGradeByBaisheng(String bsGradeNo);

    SmartGrade querySmartGradeById(Integer id);

    PageUtils<SmartGrade> queryPageSmartGrade(int currentPage, int pageCount, String name);
}
